<?php
/**
 * The admin view file of user module of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPLV1.2 (http://zpl.pub/page/zplv12.html)
 * @author      Yangyang Shi <shiyangyangwork@yahoo.cn>
 * @package     User
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
?>
<?php
include '../../../common/view/header.admin.html.php';
js::set('type', $type);
?>
<div class='col-md-1'>
  <ul class='nav nav-primary nav-stacked user-control-nav'>
    <?php foreach($lang->user->reviewMenu as $certifyType => $title):?>
    <?php $class = ($certifyType == $type) ? "class='active'" : '';?>
    <?php echo "<li $class>" . html::a(inlink('review', "type=$certifyType"), $title) . '</li>';?>
    <?php endforeach;?>
  </ul>
</div>
<div class='col-md-11'>
  <div class="panel">
    <div class="panel-heading clearfix">
      <ul id='typeNav' class='nav nav-tabs pull-left'>
        <?php foreach($lang->user->certifyStatusList as $status => $title):?>
        <?php if($status == 'no') continue;?>
        <li data-type='internal' <?php echo$this->get->status == $status ? "class='active'" : '';?>>
          <?php echo html::a(inlink('review', "type={$type}&status={$status}"), $title);?>
        </li>
        <?php endforeach;?>
      </ul> 
    </div>
    <form method='post' action='<?php echo inlink('batchdelete');?>'>
      <table class='table table-hover table-striped table-fixed able-condensed' id='userList'>
        <thead>
          <tr class='text-center'>
            <th class='w-60px'><?php echo $lang->user->id;?></th>
            <th class='w-120px'><?php echo $lang->user->realname;?></th>
            <th class='w-100px'><?php echo $lang->user->account;?></th>
            <?php if(commonModel::isAvailable('score')):?>
            <th class='w-70px'><?php echo $lang->user->score;?></th>
            <th class='w-70px'><?php echo $lang->user->rank;?></th>
            <th class='w-70px'><?php echo $lang->user->level;?></th>
            <?php endif;?>
            <th class='text-left visible-lg'><?php echo $lang->user->company;?></th>
            <th class='w-80px'><?php echo $lang->user->join;?></th>
            <th class='w-70px'><?php echo $lang->user->visits;?></th>
            <th class='w-110px'><?php echo $lang->user->last;?></th>
            <th class='w-100px'><?php echo $lang->user->ip;?></th>
            <th class='w-60px'><?php echo $lang->user->status;?></th>
            <th class='w-160px'><?php echo $lang->actions;?></th>
          </tr>
        </thead>
        <tbody>
        <?php $forbidPriv = commonModel::hasPriv('user', 'forbid');?>
        <?php if(!empty($users)):?>
        <?php foreach($users as $user):?>
        <tr class='text-center'>
          <td> <?php echo $user->id;?> </td>
          <td>
            <?php echo html::a(helper::createLink('user', 'checkContact', "user=$user->account"), $user->realname, "data-toggle='modal'");?>
            <span class='text-success'>
            <?php if($user->realnameCertified == 'normal') echo "<i class='icon icon-user' title='{$lang->user->realnameCertified}'> </i>";?>
            <?php if($user->companyCertified == 'normal') echo "<i class='icon icon-group' title='{$lang->user->companyCertified}'> </i>";?>
            <?php if(zget($user, 'emailCertified', 0) == 1) echo "<i class='icon icon-envelope'> </i>";?>
            <?php if(zget($user, 'mobileCertified', 0) == 1) echo "<i class='icon icon-mobile' title='{$lang->user->certified}'> </i>";?>
            </span>
          </td>
          <td><?php echo html::a(helper::createLink('user', 'checkContact', "user=$user->account"), $user->account, "data-toggle='modal'");?></td>
          <?php if(commonModel::isAvailable('score')):?>
          <td><?php echo $user->score;?></td>
          <td><?php echo $user->rank;?></td>
          <td><?php echo $user->level;?></td>
          <?php endif;?>
          <td class='text-left visible-lg'><?php echo $user->company;?></td>
          <td><?php echo substr($user->join, 0, 10);?></td>
          <td><?php echo $user->visits;?></td>
          <td><?php echo date('y-m-d H:i', strtotime($user->last));?></td>
          <td><?php echo $user->ip;?></td>
          <td>
          <?php if($user->fails > 4 and $user->locked > helper::now()) echo $lang->user->statusList->locked;?>
          <?php if($user->fails <= 4 and $user->locked > helper::now()) echo $lang->user->statusList->forbidden;?>
          <?php if($user->locked <= helper::now()) echo $lang->user->statusList->normal;?>
          </td>
          <td class='operate text-center nofixed'>
            <?php commonModel::printLink('user', 'edit', "account=$user->account", $lang->edit); ?>
            <?php commonModel::printLink('user', 'delete', "account=$user->account", $lang->delete); ?>
            <?php commonModel::printLink('user', "checkCertify", "account={$user->account}&type={$type}", $lang->user->review, "data-toggle='modal'"); ?>
          </td>
        </tr>
        <?php endforeach;?>
        <?php endif;?>
        </tbody>
        <tfoot>
          <tr>
            <td colspan='<?php echo commonModel::isAvailable('score') ? 13 : 10;?>'> <?php $pager->show();?></td>
          </tr>
        </tfoot>
      </table>
    </form>
  </div>
</div>

<?php include '../../../common/view/footer.admin.html.php';?>
